よくある質問
==========================

#### マストドンって何ですか？

先史時代にかつて存在した動物で、マンモスの祖先と言われています。

#### 何故マストドンという名前なのですか？

同名のヘヴィメタルバンドがあります。私(訳者注: 開発者の Gargron氏)はそのバンドのファンで、また私が興味を引く動物でした。私はこの名前と動物がクールだと思い、この名前を付けました。

#### マストドンはどのように分散化されているのですか？

何かを分散させるには様々な方法があります。この場合、マストドンは「連合」型になります。BitTorrentではなく、電子メールで考えてみましょう。電子メールでは、それぞれ異なるサーバー(インスタンス)があり、ユーザーはそのうち1つにアカウントを持っています。しかしアカウントの存在する場所に関係なく、相互にやり取りを行う事ができます。

#### 技術的には連合はどのように機能していますか？

OStatusプロトコル群を使用しています。

1. ドメイン上のユーザーの検索にWebfinger
2. AtomフィードとActivityStreams、Portable Contacts、実際のコンテンツのスレッド拡張機能
3. Atomフィードを購読するためのPubSubHubbub
4. Atomフィードから特定の項目、宛先ユーザー、メッセージの送信者、フォローされているユーザーなどの情報を利害関係者に配信するためのSalmon

#### mastodon.social とは何ですか？

マストドンのフラグシップインスタンス、またはサーバーで、私が自身で最新のコードを適用して運用しています。これは最終的に想定される唯一のインスタンスではありません。

#### 連合ネットワークには他に何がありますか？

それらを「勢力」と呼んでみましょう。以前より、GNU SocialサーバーとしてFriendica、Hubzilla、Diasporaなどが存在していました。これらのサーバーのすべてが他のサーバーと完全な互換性があるわけではありません。マストドンは完全に標準準拠するように努めており、GNU Socialとの互換性は他のものに比べて優先的になっています。

#### 私はマストドンでGNU Social対応のクライアントアプリケーションにログインしようとしましたが、うまくできませんでした。それはなぜですか？

マストドンはサーバー間通信という点でGNU Socialと互換性がありますが、クライアントからサーバーへのAPI(またはマストドンへのアクセス方法)は異なります。 したがって、特にGNU Social向けに作られたクライアントアプリケーションはマストドンでは動作しません。 この理由の半分は技術的なもの、半分は思想的なものです。

マストドンは1から作成されているため、エミュレーションレイヤを構築するのではなく、APIを内部構造に可能な限り密接に反映させる方が簡単です。 第二に、GNU SocialのクライアントAPIは、実際には半分は従来のTwitter APIの実装です。これが、以前のTwitterクライアントアプリケーションで動作する理由です。 しかし、それらのアプリケーションの多くはもはやメンテナンスされておらず、GNU Social APIは実際のTwitter APIに追いつかず、すべての機能を完全に実装していません。同時に、Twitter APIは連合サービスのためのものではなく、その機能の一部を隠していました。

#### マストドンはどのように資金提供を受けていますか？

マストドンの開発とmastodon.socialのホスティングは、私の [Patreon (also BTC/PayPal donations)](https://www.patreon.com/user?u=619786)を通じて資金提供されています。それ以上のVCによる資金調達、収益化および広告などには興味がありません。私は必要に応じて、セットアップおよびメンテナンスサービスを提供することができます。

ソフトウェアは無償かつオープンソースであり、コミュニティが自らのサーバーをホストする必要がある場合は、多かれ少なかれコストが分散されます。文字通り、すべてのユーザーがmastodon.socialのインスタンスのみを使用することになるとしたら、私がその請求を支払うのは難しいでしょう。

#### これはTwitterと似ているようですが、何が違いますか？

マストドンは分散化されています。誰でも自分のコミュニティルール内でマストドンサーバーを実行できます。Twitterは中央集権機関によって運営され、全ユーザーにルールが適用されています。

#### "連合"とは何ですか？
相互にトゥートを共有しているマストドンサーバーのグループです。

#### "インスタンス"とは何ですか？
アカウントを持つ事ができるサーバーです。誰でも実行することができ、それぞれ毎に独自のポリシーやルールがあります。

#### どのインスタンスを使用すればいいですか？また、どのように選択する必要がありますか？

趣味や興味などによって[多くのインスタンスが存在しています](https://instances.mastodon.xyz/list)。自身で正しいと感じるものを探して試してみて下さい。もし分からない場合は、 [Mastodon.Social](https://mastodon.social) のようなパブリックインスタンスであなたの趣味や興味について話してみてください。他のインスタンスへの招待の手助けになるかもしれません。

インスタンス内での会話がどのようなものかを見てみるには、[Kevin Marks](https://mastodon.social/@kevinmarks)によって作成された[このプレビューツール](http://www.unmung.com/mastoview?url=mastodon.social&view=local)を使ってみてください。


#### マストドンにはどれくらいの人が登録していますか？時系列でユーザー数のグラフを見ることはできますか？
もちろんです。[@mastodonusercount@social.lou.lt](https://social.lou.lt/@mastodonusercount) をフォローしてみてください。

#### 「マストドン」のスペルはどういう綴りになりますか?
**mastodon**です。2つのOを使います。

#### Androidではどうやって使用できますか？
[Tusky](https://play.google.com/store/apps/details?id=com.keylesspalace.tusky) を試してみてください。

#### Androidですが、複数アカウントで使用したいです
[TootyFruity](https://play.google.com/store/apps/details?id=ch.kevinegli.tootyfruity221258) を試してみてください。

#### iPhoneではどうやって使用できますか？
[Amaroq](https://itunes.apple.com/us/app/amaroq-for-mastodon/id1214116200) を試してみてください。また、ブラウザを使用するという選択もあります。

#### 他のモバイル/デスクトップ/コマンドラインアプリはありますか？
[はい](Apps.md)

#### Tuskyは"💇できますか？ "🔥"はどのような機能ですか？ また、Tuskyの "⛱"とは何ですか？
Tusky [@Tusky@mastodon.social](https://mastodon.social/@Tusky) または、開発者([@Vavassor@mastodon.social](https://mastodon.social/@Vavassor) と [@daycode@mastodon.social](https://mastodon.social/@daycode))をフォローまたは確認してみてください。

#### 検索はどのようにしたらいいですか？
ユーザーやハッシュタグは検索できますが、一般的なテキストは検索できません。 投稿画面の上にあるテキストボックスからできます。

<img src="screenshots/search.png" alt="Search Box" height="200"/>

#### DM (ダイレクトメッセージ)はどうやって送れますか？
DMを含むトゥートのプライバシーオプションは、地球儀マークをクリックして選択します。

<img src="screenshots/compose-globe.png" alt="Privacy Globe" height="400"/>

#### ローカルと連合タイムラインの違いが分かりません
"ローカル"に表示されるトゥートは、あなたがログインしているサーバー内のトゥートです。"連合"はあなたのサーバが受信しているすべてのトゥートです。(これは少々複雑ですが、簡単に言うと"あなたと他のローカルユーザーがフォローしている人のトゥート"です。)


#### 私のインスタンスが接続していないインスタンスがありますか？ どうやって分かりますか？
一部のインスタンスはプライベートであり、インスタンスと接続しません。それ以外は、あなたのインスタンスによって他のものがブロックされている可能性もあります。 インスタンスがどのように連携するかについては、インスタンスの管理者に問い合わせてください。(参照: 「[管理者は誰ですか？どのように連絡またはフォローできますか？](#who-is-my-admin-and-how-do-i-contact-follow-them)」)

#### 複数のアカウントを持つことはできますか？ 別のインスタンスで同じメールを使用することはできますか？
もちろんです！あなたが参加したい別のインスタンスを見つけたら、登録してみてください。すべてのインスタンスが新規登録を受け付けているわけではなく、また誰かが既にあなたが利用したいユーザー名を取得している可能性があります。

#### 私がフォローする人を別のインスタンスにインポートすることはできますか？
はい。 これは、移行先のインスタンスに応じて時間がかかることがあります。 問題がある場合は、移行先のインスタンスの管理者に相談してください。 あなたの移行先のインスタンスがあなたがフォローしている人のインスタンスと接続していない場合、それらを失うかもしれません。

#### 他の人が私に偽装するのを防ぐにはどうすればいいですか？
誰でも任意のインスタンスでユーザー名を作成できるため、他のインスタンスで同じユーザー名を使用できないようにすることは不可能です。一部の人は、自分自身を検証するために独自のシングルインスタンスを実行するか、[Keybase](https://keybase.io/)を使用しています。

#### 二段階認証を使うにはどうしたら良いですか？
インスタンスでサポートされている場合、オプションは2段階認証の[環境設定]に表示されます。 [マストドンの二段階認証](2FA.md)は、QRコードと平文の秘密の両方を使用します。

#### なぜある人のトゥートを見ることができないのですか？
これはいくつかの理由で発生する可能性があります。個人の投稿はプライベートにすることができます。非公開の投稿を表示するには、あなたは非公開アカウントのフォロワーでなければなりません。さらに、誰かがあなたをブロックした場合、非公開の投稿は表示されなくなります。

#### トレンドは何ですか？
トレンドを調べるには、[@TrendingBot@mastodon.social](https://mastodon.social/@TrendingBot) をフォローしてください。

#### "CW"とは何ですか？
"CW"は 「Content Warning」の略で「閲覧注意」の意味です。ネタバレのようなトゥート本文を隠す際に使用できます。

#### 「画像を閲覧注意としてマークする」機能("NSFW")はどのように機能しますか？
カメラアイコンをクリックして投稿に画像を追加すると、追加のトグルが表示されます(通常は"NSFW"と表示されます)。これをクリックすると、あなたの画像を「閲覧注意」の警告表示の後ろに隠し、他の人はあなたの画像をクリックするまで表示されることを防ぎます。

#### パイナップルとは何ですか？
それはおいしくて、みんなが笑顔になります。そのまんまの意味です。

#### "Awoo"をよく見ます、それはどういう意味ですか？
それを大声で叫んでみましょう。楽しいよ！

#### アカウントを削除するにはどうすればいいですか？
現時点では、インスタンスの管理者にその旨を伝える必要があります。

<a name="who-is-my-admin-and-how-do-i-contact-follow-them"></a>
#### 管理者は誰ですか？どのように連絡またはフォローできますか？
**スタート** をクリックし、 その後 **サーバー情報** をクリックします。 そのインスタンスの情報ページが表示されます。設定されていれば、そこに連絡先が記されています。

<img src="screenshots/toolbar-getting_started.png" alt="Getting Started Button" height="200"/>
<img src="screenshots/getting_started-extended_information.png" alt="Extended Information" height="200"/>
<img src="screenshots/admin_info.png" alt="Admin Info" height="200"/>

#### 特定のインスタンスから攻撃的なものが送られ続けています！それをブロックする方法はありますか？
クリックするだけでなく、申し訳ありません。しかし、あなたのインスタンス管理者はそれを行うことができます！ それらに連絡してください。
すみません、あなたにはすることはできません。しかしインスタンス管理者はできるので、彼らに連絡してください。

#### マストドンはモデレートされていますか？
各インスタンスはモデレーションを異なる方法で処理し、それぞれに独自のモデレータがあります。あなたがいるインスタンスのルールが何であるか尋ねるのは問題ありません。通常、ルールはインスタンスのページ([Mastodon.socialの"このインスタンスについて"のようなページ](https://mastodon.social/about/more))に掲載されています。

#### 攻撃的なコンテンツを報告するにはどうすればよいですか？
各投稿の下に、3つの点が表示されています。それらをクリックすると、投稿を展開したり、コンテンツを報告したりすることができます。コンテンツを報告するときは、モデレータが判断を必要とするすべての投稿を選択します。

#### ハラスメントはどのように処理するのですか？
あなたのインスタンス管理者が嫌がらせを真摯に受けとった場合は、事後報告システムを通じて嫌がらせを報告することができます。 これは、投稿の下の省略記号("...")で検索して見つけるか、または管理者に直接連絡することができます。

#### プライベートメッセージは他のインスタンスの人にも届くでしょうか？
はい、届きます。しかし、プライベートなメッセージは *安全ではありません* 。 機密情報を送信することは避けてください。

#### 「プライバシー状態を調整する」とは何を意味し、どのように機能しますか？
トゥートエリアの下の **地球儀** アイコンで、あなたの投稿を見ることができる人を変更することによってあなたのステータスプライバシーを調整します。これは次のようになります：

| プライバシー設定    | 配信先                     | 見える人       | 備考 |
| ----------------- | ------------------------- | ------------- | ----- |
| 公開               | グローバル、公開タイムライン | 全員           | 連合。 他のインスタンスの人にもおそらく表示されます。 |
| 未収載             | フォロワーのみ             | 全員            | ブーストされたり、他のインスタンスで見ることができます。  |
| 非公開             | フォロワーのみ             |  フォロワーのみ  | ブーストすることはできません。 |
| ダイレクト          | 宛先にある人のみ           | 宛先にある人のみ | 電子メールのようなもの |


#### ハッシュタグは使えますか？ 使ったほうがいいですか？
はい、ハッシュタグは追跡しているとちょくちょく面白いものが見つかったりしますが、いくつかのタグは人々が投稿議論を交わすのに役立ちます。 #POLITICS （政治）、 #HEALTH （健康）、 #DEPRESSION （憂鬱）、これらの話題での一般公開の投稿は特に評価されます。 また、 #LEWD （わいせつ）や #NSFW （職場閲覧注意）のような投稿は、コンテンツ警告システムのために設計されています。

#### 認証マーク"✅"はどのようにして付けられますか？
"✅"はただの絵文字です。マストドンにはアカウントの公式承認はありません。"✅"をコピーしてプロフィールにペーストすれば希望通りになるでしょう。

#### トゥートを編集することはできますか？
残念ながらできません。しかし一度削除して改めて投稿し直すことはできます。

#### 投稿を削除した場合、投稿はどこでも削除されますか？
投稿を削除すると、ローカルタイムラインから削除されます。 しかし、すでにブーストされている場合は、連合や他のインスタンス上で見られるかもしれません。

#### お気に入りにしたトゥートはどうやって見られますか？
**スタート** から **お気に入り** をクリックします。

<img src="screenshots/toolbar-getting_started.png" alt="Getting Started Button" height="200"/>
<img src="screenshots/getting_started-favourites.png" alt="Favourites" height="200"/>

#### 引用トゥートはできますか？
現在ではありません。 テキストを手動でコピー＆ペーストして引用する必要があります。

#### インスタンスが永久にシャットダウンされた場合、データは失われますか？
はい、その通りです。

#### 自分のデータを保存できますか？
はい、いくつかについてはできます。 **ユーザー設定 -> データのエクスポート** から行えます。

<img src="screenshots/preferences-data_export.png" alt="Data Export" height="400"/>

#### リモートユーザーのプロフィールの下にその人のトゥートを見ることができません
ユーザー名をクリックし**拡大表示**したあと、その人のアバターをクリックします。これでその人のインスタンスを直接表示し、その人の公開トゥートを見ることができます。

<img src="screenshots/profile-avatar_click.png" alt="Click their avatar" height="200"/>
<img src="screenshots/profile-webpage_URL.png" alt="Native webpage view" height="200"/>

#### スレッドはどのように見えますか？
トゥート本文をクリックし、**拡大表示**します。これにより、連なっているトゥートが表示されます。

#### トゥートへのリンクはどうしたら良いですか？
トゥートには2つのパーマリンクがあります。インライントゥートでタイムスタンプを**右クリック**します。拡大されたトゥート画面では、下の日付**右クリック**します。

<img src="screenshots/inline_toot-timestamp_link.png" alt="Inline View Permalink" height="200"/>
<img src="screenshots/expanded_view-permalink.png" alt="Expanded View Permalink" height="200"/>

#### プロフィールにリンクするにはどうしたら良いですか？
Firefoxでは**あなたのアバター画像**を右クリックしてください。 **リンク先のコピー**を選択します。

<img src="screenshots/link_to_profile.png" alt="URL for Profile" height="200"/>

#### #hashtagをクリックするとローカル結果が表示されますか？それとも連合の結果が表示されますか？
連合の結果が表示されます。

#### 私がブーストをミュートした場合、ブーストした人とオリジナルの投稿者のどちらがミュートされますか？
オリジナルの投稿者です。

#### インスタンス上の人々をプレビューすることはできますか？何を話していますか？
はい、 [instance preview tool](http://www.unmung.com/mastoview?url=mastodon.social&view=local) を試してみてください。

#### 知らない言語のトゥートを非表示にするどうしたらいいですか？
**スタート**から**ユーザー設定**をクリックし、**除外する言語** から非表示にしたい言語にチェックを入れ、**変更を保存** ボタンを押してください。

#### 自動翻訳はサポートされていますか？
いいえ、まだです。しかし [Firefox TamperMonkey script](https://github.com/tomouchuu/mastodon-translate) によってで実現できるかもしれません。

#### トゥートは自動的に連合して配信されますか？ローカルに留まりますか？
デフォルトではトゥートは連合(公開)され、どちらのタイムラインにも表示されます。デフォルトの動作は、**設定 -> ユーザー設定 -> 投稿プライバシー**から変更することができます。

<img src="screenshots/toolbar-getting_started.png" alt="Getting Started Button" height="200"/>
<img src="screenshots/getting_started-preferences.png" alt="Preferences" height="200"/>
<img src="screenshots/preferences-post_privacy.png" alt="Post Privacy" height="400"/>

#### デフォルトの画像アップロードサイズ制限はいくつですか？どのように変更できますか？
デフォルトの制限サイズは8メガバイトです。これは `mastodon/app/models/media_attachment.rb` で次の行を編集することで変更できます:

`  validates_attachment_size :file, less_than: 8.megabytes`

制限サイズを変更するには、8を別の整数に変更します。

#### どうやって自分のインスタンスをはじめられますか？
[User Guide](../README.md)の“Running Mastodon”の見出しを参照してください。

#### バグを発見したり、マストドンに提案がある場合はどうしたら良いですか？
[MastodonのIssue Tracker](https://github.com/tootsuite/mastodon/issues) にバグを報告したり、提案を提出することができます。

#### マストドンのよくある質問が好きです！もっと他にないですか？
以下に、個別にヘルプを作成してくれている人たちがいます。

* [https://hastebin.com/raw/xuqogukimu](https://hastebin.com/raw/xuqogukimu)

* [https://github.com/ThomasLeister/masto-faq](https://github.com/ThomasLeister/masto-faq)

* [http://mastoguide.info/Pages/FAQindex.html](http://mastoguide.info/Pages/FAQindex.html)

* [https://medium.com/tebelorg/my-first-10-days-on-mastodon-fediverse-f6f1d73db8d7](https://medium.com/tebelorg/my-first-10-days-on-mastodon-fediverse-f6f1d73db8d7)

* [https://github.com/tootsuite/documentation/blob/master/Using-Mastodon/FAQ.md](https://github.com/tootsuite/documentation/blob/master/Using-Mastodon/FAQ.md)

---
このFAQは、 [@Gargron](https://mastodon.social/@Gargron) 、 [@raccoon](https://mastodon.social/@Raccoon), [@upside](https://octodon.social/@upside) 、 [@zacanger](https://mastodon.social/@zacanger) 、 [@NthTensor](https://octodon.social/@NthTensor) 、 [@ametlles](https://mastodon.social/@ametlles) 及び他の多くの人たちが貢献しています。
